View Issue Details

IDProjectCategoryLast Update
0020293AI War 2[All Projects] SuggestionOct 9, 2018 9:24 pm
ReporterOvalcircleAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.769-0.770 Thinking Long-Term 
Fixed in Version0.781 Destruction Diversity 
Summary0020293: Metal harvesters instantly get repaired, distracting enemies
DescriptionMaybe have a "can't be repaired after x seconds" thing, because the Nanocaust attacked my homeworld (trying to lose) and the Abominations/Aberrations kept yo-yoing back and forth to kill the repaired Metal Harvesters.
TagsNo tags attached.

Activities

Ovalcircle

Sep 14, 2018 10:59 pm

reporter  

Metal harvester insta repair.savemet (67 bytes)
Metal harvester insta repair.save (955,165 bytes)

BadgerBadger

Sep 14, 2018 11:48 pm

manager   ~0049266

There is in fact such a repair-delay mechanism, but it no longer seems to be working....

RocketAssistedPuffin

Sep 15, 2018 7:09 am

developer   ~0049268

Huh...I thought that was only on minefields self destructing causing it...that explains a lot.

x4000Bughunter

Oct 2, 2018 7:22 pm

administrator   ~0049712

I believe I fixed this. Is it still a thing?

Ovalcircle

Oct 3, 2018 3:17 pm

reporter   ~0049754

Yes.

Insta repair harvester.savemet (40 bytes)
Insta repair harvester.save (657,534 bytes)

x4000Bughunter

Oct 9, 2018 9:24 pm

administrator   ~0049828

Thanks!

* When ships/structures are destroyed to a neutral status (aka metal harvesters, Arks, etc), there is now a cooldown period before they can be reclaimed. This period is a minimum of 30 seconds, but if there are a ton of enemies on the planet it gets longer and longer until it is 70 seconds before claiming can be started. The top time is hit when enemy mobile military strength on the planet is at least 4.
** In the tooltip for an entity that is claimable, it now shows how long the remaining time is that it is blocked from being claimed, if it is blocked.

Issue History

Date Modified Username Field Change
Sep 14, 2018 10:59 pm Ovalcircle New Issue
Sep 14, 2018 10:59 pm Ovalcircle File Added: Metal harvester insta repair.save
Sep 14, 2018 10:59 pm Ovalcircle File Added: Metal harvester insta repair.savemet
Sep 14, 2018 11:48 pm BadgerBadger Note Added: 0049266
Sep 15, 2018 7:09 am RocketAssistedPuffin Note Added: 0049268
Oct 2, 2018 7:22 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 2, 2018 7:22 pm x4000Bughunter Status new => feedback
Oct 2, 2018 7:22 pm x4000Bughunter Note Added: 0049712
Oct 3, 2018 3:17 pm Ovalcircle File Added: Insta repair harvester.savemet
Oct 3, 2018 3:17 pm Ovalcircle File Added: Insta repair harvester.save
Oct 3, 2018 3:17 pm Ovalcircle Note Added: 0049754
Oct 3, 2018 3:17 pm Ovalcircle Status feedback => assigned
Oct 9, 2018 9:24 pm x4000Bughunter Status assigned => resolved
Oct 9, 2018 9:24 pm x4000Bughunter Resolution open => fixed
Oct 9, 2018 9:24 pm x4000Bughunter Fixed in Version => 0.781 Destruction Diversity
Oct 9, 2018 9:24 pm x4000Bughunter Note Added: 0049828